{
  programs.ssh = {
    enable = true;
    compression = true;
    serverAliveCountMax = 1;
    serverAliveInterval = 10;
    matchBlocks = {
      "*" = {
        setEnv."TERM" = "xterm-256color";
      };

      "watcher.kat" = {
        user = "ubuntu";
        hostname = "watcher.katvayor.net";
      };
      "r86s.kat" = {
        user = "root";
        hostname = "100.102.49.84";
      };
      "test.kat" = {
        user = "root";
        hostname = "100.102.129.187";
      };

      "virt.kat" = {
        user = "root";
        hostname = "fe80::2%%virbr0";
        proxyJump = "r86s.kat";
      };
      "runner.kat" = {
        user = "root";
        hostname = "fe80::3%%virbr0";
        proxyJump = "r86s.kat";
      };

      "sas.ens" = {
        user = "lbailly";
        hostname = "sas.eleves.ens.fr";
      };
      "degette.ens" = {
        user = "dg";
        hostname = "www.dg.ens.fr";
        proxyJump = "sas.ens";
      };
      "bocal.ens" = {
        user = "bocal";
        hostname = "fregate";
        proxyJump = "sas.ens";
      };

      "jourdan01.dgn" = {
        user = "root";
        hostname = "192.168.42.6";
        proxyJump = "r86s.kat";
        identityFile = "~/.ssh/juniper";
      };
      "vault01.dgnum" = {
        user = "root";
        proxyJump = "r86s.kat";
        hostname = "fd26:baf9:d250:8000::1";
      };
    };
  };
}
